This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1277401 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): kscreenlocker_greet killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): kscreenlocker_greet k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8cf971bf2f61fa2f45858470ed9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 04:16 EST by Karel Volný
Modified: 2016-12-20 10:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:18:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.49 KB, text/plain)
2015-11-03 04:16 EST, Karel Volný
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-03 04:16 EST, Karel Volný
no flags Details
File: core_backtrace (3.91 KB, text/plain)
2015-11-03 04:16 EST, Karel Volný
no flags Details
File: dso_list (19.33 KB, text/plain)
2015-11-03 04:16 EST, Karel Volný
no flags Details
File: environ (1.36 KB, text/plain)
2015-11-03 04:16 EST, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-03 04:16 EST, Karel Volný
no flags Details
File: maps (90.33 KB, text/plain)
2015-11-03 04:16 EST, Karel Volný
no flags Details
File: mountinfo (3.16 KB, text/plain)
2015-11-03 04:16 EST, Karel Volný
no flags Details
File: open_fds (137 bytes, text/plain)
2015-11-03 04:16 EST, Karel Volný
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-11-03 04:16 EST, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2015-11-03 04:16:04 EST
Description of problem:
This happened after undocking, the machine didn't suspend after closing the lid, then later, after opening it again, the screen was black and didn't react; it was possible to switch to text console, but back in X, only mouse cursor appeared, I could do nothing than kill X then ...

Version-Release number of selected component:
plasma-workspace-5.4.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/kscreenlocker_greet --graceTime 5085 --ksldfd 66
crash_function: KCrash::defaultCrashHandler
executable:     /usr/libexec/kscreenlocker_greet
global_pid:     9564
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:418
 #3 QXcbConnection::sendConnectionEvent at qxcbconnection.cpp:1276
 #4 QXcbConnection::~QXcbConnection at qxcbconnection.cpp:589
 #6 qDeleteAll<QList<QXcbConnection*>::const_iterator> at ../../../../src/corelib/tools/qalgorithms.h:317
 #7 qDeleteAll<QList<QXcbConnection*> > at ../../../../src/corelib/tools/qalgorithms.h:325
 #8 QXcbIntegration::~QXcbIntegration at qxcbintegration.cpp:190
 #10 QGuiApplicationPrivate::~QGuiApplicationPrivate at kernel/qguiapplication.cpp:1391
 #12 QScopedPointerDeleter<QObjectData>::cleanup at ../../src/corelib/tools/qscopedpointer.h:54
 #13 QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::~QScopedPointer at ../../src/corelib/tools/qscopedpointer.h:101
 #14 QObject::~QObject at kernel/qobject.cpp:883

Potential duplicate: bug 1262615
Comment 1 Karel Volný 2015-11-03 04:16:11 EST
Created attachment 1088838 [details]
File: backtrace
Comment 2 Karel Volný 2015-11-03 04:16:13 EST
Created attachment 1088839 [details]
File: cgroup
Comment 3 Karel Volný 2015-11-03 04:16:14 EST
Created attachment 1088840 [details]
File: core_backtrace
Comment 4 Karel Volný 2015-11-03 04:16:16 EST
Created attachment 1088841 [details]
File: dso_list
Comment 5 Karel Volný 2015-11-03 04:16:18 EST
Created attachment 1088842 [details]
File: environ
Comment 6 Karel Volný 2015-11-03 04:16:20 EST
Created attachment 1088843 [details]
File: limits
Comment 7 Karel Volný 2015-11-03 04:16:22 EST
Created attachment 1088844 [details]
File: maps
Comment 8 Karel Volný 2015-11-03 04:16:24 EST
Created attachment 1088845 [details]
File: mountinfo
Comment 9 Karel Volný 2015-11-03 04:16:26 EST
Created attachment 1088846 [details]
File: open_fds
Comment 10 Karel Volný 2015-11-03 04:16:27 EST
Created attachment 1088847 [details]
File: proc_pid_status
Comment 11 Fedora End Of Life 2016-11-24 08:01:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 10:18:34 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.